# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'transaction_timestamps/version'

Gem::Specification.new do |spec|
  spec.name          = "transaction_timestamps"
  spec.version       = TransactionTimestamps::VERSION
  spec.authors       = ["Kent Mewhort @ Coupa"]
  spec.email         = ["kent.mewhort@coupa.com"]

  spec.summary       = %q{Timestamp created_at and updated_at with the database transaction time}
  spec.description   = %q{Keeps the timestamps for all models created or updated in at transaction the same}
  spec.homepage      = "https://github.com/coupa/transaction_timestamps"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]


  spec.add_dependency "activerecord", ">= 4.2"
  spec.add_development_dependency "bundler", "~> 1.11"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
  spec.add_development_dependency "combustion", "~> 0.5.0"
  spec.add_development_dependency 'appraisal'
end
